%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jbosgi-spi
Version:          3.0.1
Release:          %mkrel 3
Summary:          JBossOSGi SPI
Group:            Development/Java
License:          LGPLv2+
URL:              http://www.jboss.org/

# git clone git://github.com/jbosgi/jbosgi-spi.git
# cd jbosgi-spi/ && git archive --format=tar --prefix=jbosgi-spi-3.0.1.Final/ 3.0.1.Final | xz > jbosgi-spi-3.0.1.Final.tar.xz
Source0:          jbosgi-spi-%{namedversion}.tar.xz

Patch0:           0001-Remove-osgi.enterprise-dependency.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    jbosgi-parent
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    jboss-logging
BuildRequires:    jbosgi-vfs
BuildRequires:    args4j
BuildRequires:    shrinkwrap
BuildRequires:    felix-osgi-core

Requires:         jpackage-utils
Requires:         java
Requires:         jboss-logging
Requires:         jbosgi-vfs
Requires:         args4j
Requires:         shrinkwrap
Requires:         felix-osgi-core

%description
This pakcage contains the JBossOSGi SPI.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%patch0 -p1

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# JAR
install -pm 644 target/jbosgi-spi-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# APIDOCS
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.0.1-3.mga3
+ Revision: 354905
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 3.0.1-2.mga3
+ Revision: 331716
- imported package jbosgi-spi

